Subject: FS: Lathe Chucks

From: [email-masked] (JWCERCIS)
Date: 12 May 1996 22:25:52 -0400

Three Jaw Chuck
Bergmans Steel Plain Back Chuck  #404  SER 26BE
7.5 Inch Chuck Diameter
Two Piece Jaws
Includes one set of Soft Jaws only; no Hard Jaws
Includes “funny looking” backing plate which can
   be faced off , bored, and threaded as desired.
No Chuck Wrench

Four Jaw Independent Chuck
The Sweetland Chuck
Mfg. By Hoggson & Pettis Mfg. Co.
New Haven, Conn.   USA
8 Inch   #52      (8 13/16 actual diameter) 
Shop made backing plate with 1.5-8 thread
Two Piece reversible Jaws
Includes one set of Hard Jaws and Chuck Wrench

These chucks have both seen plenty of use, but are in good, functional
condition. Since I have never had either mounted on a lathe I can’t
comment on their accuracy, but I see no reason they shouldn’t be OK for
general use.

$50 each plus UPS.

Please respond to   [email-masked]